CVE-2018-15599

NameCVE-2018-15599
DescriptionThe recv_msg_userauth_request function in svr-auth.c in Dropbear through 2018.76 is prone to a user enumeration vulnerability because username validity affects how fields in SSH_MSG_USERAUTH messages are handled, a similar issue to CVE-2018-15473 in an unrelated codebase.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1476-1
NVD severitymedium (attack range: remote)
Debian Bugs906890

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
dropbear (PTS)jessie2014.65-1+deb8u2vulnerable
jessie (security)2014.65-1+deb8u3fixed
stretch2016.74-5+deb9u1fixed
buster, sid2018.76-5fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
dropbearsource(unstable)2018.76-4medium906890
dropbearsourcejessie2014.65-1+deb8u3mediumDLA-1476-1
dropbearsourcestretch2016.74-5+deb9u1medium

Notes

http://lists.ucc.gu.uwa.edu.au/pipermail/dropbear/2018q3/002108.html
https://secure.ucc.asn.au/hg/dropbear/rev/5d2d1021ca00

Search for package or bug name: Reporting problems